#!/usr/bin/env python
# −*− coding: UTF−8 −*−

import math
import os

def msec2Time(msec):
    min = int(math.floor(msec/60000))
    msec = msec - min*60000
    sec = int(math.floor(msec/1000))
    msec = int(msec % 1000)
    
    if min < 10: minStr = "0" + str(min)
    else: minStr = str(min)
    if sec < 10: secStr = "0" + str(sec)
    else: secStr = str(sec)
    if msec < 10: msecStr = "00" + str(msec)
    elif msec < 100: msecStr = "0" + str(msec)
    else: msecStr = str(msec)
    
    return minStr + ":" + secStr + ":" + msecStr

def Time2msec(time):
    msec = int(time[0:2]) * 60000 + int(time[3:5]) * 1000 + int(time[6:9])
    
    return msec

def Distinct(arr):
    """ Counts the number of distinct elements in an array """
    distinct = []
    for i in range(len(arr)):
        if( arr[0:i-1].count(arr[i-1]) == 0):
            distinct.append(arr[i-1])
    return distinct

def Tr2eng(str):
    trChars  = [u'ç',u'Ç',u'İ',u'ı',u'ğ',u'Ğ',u'ö',u'Ö',u'ş',u'Ş',u'ü',u'U']
    engChars = [ 'C','C','i','I','G','G','O','O','S','S','U','U']

    str = str.lower()
    for i in range(len(trChars)):
        str = str.replace(trChars[i], engChars[i])
    return str

def Eng2tr(str):
    str = unicode(str)
    trChars  = [u'ç',u'ı',u'ğ',u'ö',u'ş',u'ü']
    engChars = ['C','I','G','O','S','U']

    for i in range(len(trChars)):
        str = str.replace(engChars[i], trChars[i])
    return str

def GetFileNamesInDir(dir):
    filenames = os.listdir(dir)
    trFilenames = []
    for filename in filenames:
        trFilenames.append(Eng2tr(filename[0:-4]))
    return trFilenames

def DelFilesInDir(dir):
    filenames = os.listdir(dir)
    for filename in filenames:
        os.remove(dir + filename)

def IsAllowedCharacter(ch):
    charList = u'abcçdefgğhıijklmnoöprsştuüvyzABCÇDEFGĞHIİJKLMNOÖPRSŞTUÜVYZ '
    if ch in charList:
        return True
    else:
        return False

def Filename2Date(filename):
    y = filename[2:4]
    m = filename[5:7]
    d = filename[8:10]
    h = filename[11:13]
    min = filename[14:16]
    date = d + " " + MonthName(m) + " '" + y + "  " + h + ":" + min
    return date
    
def MonthName(m):
    mStr = ["Jan","Feb","Mar","Apr","May","Jun","Jul","Agu","Sep","Oct","Nov","Dec"]
    return mStr[int(m)-1]

def RoundRelevance(r):
    r = int(r*10+0.5)
    if r > 10: r = 10
    return int(r)
    
def Value2Stars(r):
    r = RoundRelevance(r)
    stars = ""
    for i in range(r):
        stars = stars + "*"
    for i in range(10-r):
        stars = stars + " "
    return stars

def FindDifferencesBetweenSegmentedAndOriginals():
    segmentedDir = "a"
    originalDir = "b"
    files = os.listdir(segmentedDir)
    for file in enumerate(files):
        f = open(segmentedDir + os.sep + file[1], "r")
        lenSegmented = int(f.read())
        f.close()
        f = open(originalDir + os.sep + file[1], "r")
        lenOriginal = int(f.read())
        f.close
        surplus = lenOriginal - lenSegmented
        f = open(segmentedDir + os.sep + file[1], "w")
        f.write(str(surplus))
        f.close()

if __name__ == "__main__":
    print Tr2eng("istanbul")
    