;Signiary Installer
;--------------------------------

; The name of the installer
Name "Signiary"

; The file to write
OutFile "Signiary.exe"

; The default installation directory
InstallDir $PROGRAMFILES\Signiary

; Registry key to check for directory (so if you install again, it will 
; overwrite the old one automatically)
InstallDirRegKey HKLM "Software\Signiary" "Install_Dir"

;--------------------------------

; Pages

Page components
Page directory
Page instfiles

UninstPage uninstConfirm
UninstPage instfiles

;--------------------------------

; The stuff to install
Section "Signiary (required)"

  SectionIn RO
  
  SetOutPath "$INSTDIR\images"
  File "exe_dir\images\*.*"
  
  SetOutPath "$INSTDIR\searchResults"
  File "exe_dir\searchResults\*.*"
  
  SetOutPath $INSTDIR
  File "exe_dir\*.*"
  
  
  
  ; Write the installation path into the registry
  WriteRegStr HKLM SOFTWARE\Signiary "Install_Dir" "$INSTDIR"
  
  ; Write the uninstall keys for Windows
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Signiary" "DisplayName" "Signiary"
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Signiary" "UninstallString" '"$INSTDIR\uninstall.exe"'
  WriteRegDWORD HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Signiary" "NoModify" 1
  WriteRegDWORD HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Signiary" "NoRepair" 1
  WriteUninstaller "uninstall.exe"
  
SectionEnd

; Optional section (can be disabled by the user)
Section "Start Menu Shortcuts"

  CreateDirectory "$SMPROGRAMS\Signiary"
  CreateShortCut "$SMPROGRAMS\Signiary\Uninstall.lnk" "$INSTDIR\uninstall.exe" "" "$INSTDIR\uninstall.exe" 0
  CreateShortCut "$SMPROGRAMS\Signiary\Signiary.lnk" "$INSTDIR\MFCD.exe" "" "$INSTDIR\MFCD.exe" 0
  
SectionEnd

;--------------------------------

; Uninstaller

Section "Uninstall"
  
  ; Remove registry keys
  DeleteRegKey HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Signiary"
  DeleteRegKey HKLM SOFTWARE\Signiary

  ; Remove files and uninstaller
  Delete $INSTDIR\Signiary.nsi
  Delete $INSTDIR\uninstall.exe

  ; Remove shortcuts, if any
  Delete "$SMPROGRAMS\Signiary\*.*"

  ; Remove directories used
  RMDir "$SMPROGRAMS\Signiary"
  RMDir "$INSTDIR"

SectionEnd
